NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Drawings.AssociativeAngleBuilder Class Reference

This builder allows the user to create an associative or non-associative angle by measuring between a combination of two objects or vectors evaluated on a specified plane, or by an expression More...

Inheritance diagram for NXOpen.Drawings.AssociativeAngleBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  EvaluationPlaneType { DrawingSheet, TrueAngle, SpecifyPlane }
 evaluation plane types More...
 
enum  ObjectType { Object, Vector }
 Represents the object type. More...
 

Public Member Functions

unsafe void AlternateAngle ()
 The alternate angle More...
 
unsafe void CreateScalarObject ()
 Creates a scalar object for an associative angle More...
 
unsafe void CreateScalarObjectFromData (NXOpen.Scalar scalarTag, double angleValue)
 Creates scalar object for an associative angle using data from existing scalar object or angle value. More...
 
unsafe void SetIsMeasure (bool isMeasure)
 Sets IsMeasure flag indicating angle is result of a measure More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression Angle [get]
 Returns the angle More...
 
unsafe double AngleValue [get, set]
 Returns or sets the angle value More...
 
unsafe bool Associative [get, set]
 Returns or sets the associative flag More...
 
unsafe
NXOpen.Drawings.AssociativeAngleBuilder.EvaluationPlaneType 
EvaluationPlane [get, set]
 Returns or sets the evaluation plane type More...
 
unsafe NXOpen.View FirstMapView [get, set]
 Returns or sets the first map view More...
 
unsafe NXOpen.SelectNXObject FirstObject [get]
 Returns the first object More...
 
unsafe
NXOpen.Drawings.AssociativeAngleBuilder.ObjectType 
FirstObjectType [get, set]
 Returns or sets the first object type More...
 
unsafe NXOpen.Direction FirstVector [get, set]
 Returns or sets the first vector More...
 
unsafe NXOpen.Plane Plane [get, set]
 Returns or sets the plane More...
 
unsafe NXOpen.Scalar ScalarObject [get, set]
 Returns or sets the scalar object More...
 
unsafe NXOpen.View SecondMapView [get, set]
 Returns or sets the second map view More...
 
unsafe NXOpen.SelectNXObject SecondObject [get]
 Returns the second object More...
 
unsafe
NXOpen.Drawings.AssociativeAngleBuilder.ObjectType 
SecondObjectType [get, set]
 Returns or sets the second object type More...
 
unsafe NXOpen.Direction SecondVector [get, set]
 Returns or sets the second vector More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This builder allows the user to create an associative or non-associative angle by measuring between a combination of two objects or vectors evaluated on a specified plane, or by an expression

Created in NX11.0.0

Member Enumeration Documentation

evaluation plane types

Enumerator
DrawingSheet 
TrueAngle 
SpecifyPlane 

Represents the object type.

Enumerator
Object 

indicates the selected type is an object

Vector 

indicates the selected type is a vector

Member Function Documentation

unsafe void NXOpen.Drawings.AssociativeAngleBuilder.AlternateAngle ( )
inline

The alternate angle

Created in NX11.0.0

License requirements: drafting ("DRAFTING")

unsafe void NXOpen.Drawings.AssociativeAngleBuilder.CreateScalarObject ( )
inline

Creates a scalar object for an associative angle

Created in NX11.0.0

License requirements: drafting ("DRAFTING")

unsafe void NXOpen.Drawings.AssociativeAngleBuilder.CreateScalarObjectFromData ( NXOpen.Scalar  scalarTag,
double  angleValue 
)
inline

Creates scalar object for an associative angle using data from existing scalar object or angle value.

Created in NX11.0.2

License requirements: drafting ("DRAFTING")

Parameters
scalarTag
angleValue
unsafe void NXOpen.Drawings.AssociativeAngleBuilder.SetIsMeasure ( bool  isMeasure)
inline

Sets IsMeasure flag indicating angle is result of a measure

Created in NX11.0.0

License requirements: drafting ("DRAFTING")

Parameters
isMeasure
unsafe bool NXOpen.Drawings.AssociativeAngleBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Expression NXOpen.Drawings.AssociativeAngleBuilder.Angle
get

Returns the angle

Created in NX11.0.0

License requirements: None.

unsafe double NXOpen.Drawings.AssociativeAngleBuilder.AngleValue
getset

Returns or sets the angle value

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.AssociativeAngleBuilder.Associative
getset

Returns or sets the associative flag

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.AssociativeAngleBuilder.EvaluationPlaneType NXOpen.Drawings.AssociativeAngleBuilder.EvaluationPlane
getset

Returns or sets the evaluation plane type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.View NXOpen.Drawings.AssociativeAngleBuilder.FirstMapView
getset

Returns or sets the first map view

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.SelectNXObject NXOpen.Drawings.AssociativeAngleBuilder.FirstObject
get

Returns the first object

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Drawings.AssociativeAngleBuilder.ObjectType NXOpen.Drawings.AssociativeAngleBuilder.FirstObjectType
getset

Returns or sets the first object type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Direction NXOpen.Drawings.AssociativeAngleBuilder.FirstVector
getset

Returns or sets the first vector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Plane NXOpen.Drawings.AssociativeAngleBuilder.Plane
getset

Returns or sets the plane

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Scalar NXOpen.Drawings.AssociativeAngleBuilder.ScalarObject
getset

Returns or sets the scalar object

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.View NXOpen.Drawings.AssociativeAngleBuilder.SecondMapView
getset

Returns or sets the second map view

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.SelectNXObject NXOpen.Drawings.AssociativeAngleBuilder.SecondObject
get

Returns the second object

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Drawings.AssociativeAngleBuilder.ObjectType NXOpen.Drawings.AssociativeAngleBuilder.SecondObjectType
getset

Returns or sets the second object type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Direction NXOpen.Drawings.AssociativeAngleBuilder.SecondVector
getset

Returns or sets the second vector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.